## e-name-western

e-name-western

## Functions

ENameWestern * | e_name_western_parse ()
void | e_name_western_free ()
ENameWestern * | e_name_western_copy ()

## Object Hierarchy

        GBoxed
        ╰── ENameWestern

## Description

## Functions

### e_name_western_parse ()

    ENameWestern *
    e_name_western_parse (const gchar *full_name);

Parses `full_name` and returns an ENameWestern struct filled with the component parts of the name.

#### Parameters

full_name | A string containing a western name. |

#### Returns

A new ENameWestern struct.

### e_name_western_free ()

    void
    e_name_western_free (ENameWestern *w);

Frees the `w` struct and its contents.

#### Parameters

w | an ENameWestern struct |

### e_name_western_copy ()

    ENameWestern *
    e_name_western_copy (ENameWestern *w);

Creates a copy of `w` .

#### Parameters

w | an ENameWestern |

#### Returns

A new ENameWestern struct identical to `w` .

[transfer full]

Since: 3.24